# Constant Field Values

## Contents

- com.github.*
- com.privatejgoodies.*

## com.github.*

com.github.lgooddatepicker.components.ComponentEvent
Modifier and Type
Constant Field
Value
`public static final int`
`NEXT_MONTH`
`3`
`public static final int`
`NEXT_YEAR`
`4`
`public static final int`
`PREVIOUS_MONTH`
`2`
`public static final int`
`PREVIOUS_YEAR`
`1`

com.github.lgooddatepicker.durationpicker_underconstruction.DurationUnit
Modifier and Type
Constant Field
Value
`public final int`
`thirtyMinutesInSeconds`
`1800`

## com.privatejgoodies.*

com.privatejgoodies.common.base.Strings
Modifier and Type
Constant Field
Value
`public static final String`
`ELLIPSIS_STRING`
`"\u2026"`
`public static final String`
`NO_ELLIPSIS_STRING`
`"..."`

com.privatejgoodies.common.internal.Messages
Modifier and Type
Constant Field
Value
`public static final String`
`MUST_BE_TRIMMED`
`"The %1$s must not contain leading or trailing whitespace."`
`public static final String`
`MUST_NOT_BE_BLANK`
`"The %1$s must not be null, empty, or whitespace."`
`public static final String`
`MUST_NOT_BE_NULL`
`"The %1$s must not be null."`
`public static final String`
`USE_ELLIPSIS_NOT_THREE_DOTS`
`"The @Action annotation text ends with three dots \"...\"; use the single ellipsis character \'\u2026\' (\\u2026) instead."`

com.privatejgoodies.forms.layout.FormSpec
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_GROW`
`1.0`
`public static final double`
`NO_GROW`
`0.0`

com.privatejgoodies.forms.util.DefaultUnitConverter
Modifier and Type
Constant Field
Value
`public static final String`
`BALANCED_AVERAGE_CHARACTER_TEST_STRING`
`"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"`
`public static final String`
`MODERN_AVERAGE_CHARACTER_TEST_STRING`
`"abcdefghijklmnopqrstuvwxyz0123456789"`
`public static final String`
`OLD_AVERAGE_CHARACTER_TEST_STRING`
`"X"`
`public static final String`
`PROPERTY_AVERAGE_CHARACTER_WIDTH_TEST_STRING`
`"averageCharacterWidthTestString"`
`public static final String`
`PROPERTY_DEFAULT_DIALOG_FONT`
`"defaultDialogFont"`